You are not logged in.

#1 2021-08-16 17:36:45

mixtlino
Member
Registered: 2021-08-16
Posts: 3

netcdf package is without HDF4 support

I noticed the official netcdf4 package from the community repo doesn't enable HDF4, does anybody know if it's because there is no official hdf4 package or is there another reason?

I am curious because its a dependency of python-netcdf4, so installing netcdf4 via the official package will lead to netCDF4 without HDF4 support. Took me a bit to figure out but using the hdf4 pacakge from AUR and changing the pkgbuild from the official netcdf package to enable hdf4 worked ok. But this is such a hassle.

Offline

#2 2021-08-17 08:57:27

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,592

Re: netcdf package is without HDF4 support

netcdf on archlinux is built against HDF5 , is there a specific reason you need an older version ?


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#3 2021-08-17 10:01:40

Morn
Member
Registered: 2012-09-02
Posts: 798

Re: netcdf package is without HDF4 support

HDF4 and HDF5 are incompatible, so if you have an old data file in HDF4 format, you would need that library version. That being said, HDF5 has existed for about 20 years now, so I suppose HDF4 is simply not used much anymore for newly created files.

Me, I've only ever used and encountered netCDF (and netCDF 4 has been based on HDF5 from the beginning) and not any HDF4 files I think. But that is for meteorology / climate science; other scientific fields might be different and still use older formats...

Last edited by Morn (2021-08-17 11:07:25)

Offline

#4 2021-08-17 15:52:19

mixtlino
Member
Registered: 2021-08-16
Posts: 3

Re: netcdf package is without HDF4 support

Morn wrote:

HDF4 and HDF5 are incompatible, so if you have an old data file in HDF4 format, you would need that library version. That being said, HDF5 has existed for about 20 years now, so I suppose HDF4 is simply not used much anymore for newly created files.

Me, I've only ever used and encountered netCDF (and netCDF 4 has been based on HDF5 from the beginning) and not any HDF4 files I think. But that is for meteorology / climate science; other scientific fields might be different and still use older formats...

Some inverse estimation code for signal analysis (e.g. PROFFIT for atmospheric column measurements) still give out hdf4 files. I agree most data products are in netcdf4 and hdf5, but hdf4 is still out there.

Lone_Wolf wrote:

netcdf on archlinux is built against HDF5 , is there a specific reason you need an older version ?

Besides what i explained above, it just struck me as weird that something that is relatively simple to enable (and actually default in e.g. conda) would be left out

Offline

#5 2021-08-17 16:08:42

twelveeighty
Member
From: Alberta, Canada
Registered: 2011-09-04
Posts: 849

Re: netcdf package is without HDF4 support

If it's just a compiler flag, the packager may not have any issue enabling it, unless there are known problems with it, of course. I would create a Bug for the package with "Feature Request" severity and see where that goes. You could also roll your own PKGBUILD and see if there's any issues, it may help your cause if you can add a patch to the bug for the packager to adopt.

It could be that the flag enables or causes to create a bunch of overhead stuff, which may be the reason it's not enabled, but the packager would know.

Offline

#6 2021-08-17 17:07:11

mixtlino
Member
Registered: 2021-08-16
Posts: 3

Re: netcdf package is without HDF4 support

twelveeighty wrote:

I would create a Bug for the package with "Feature Request" severity and see where that goes.

Thanks, I will do this. Yes, it's a just a compiler flag to enable it and to point where the additional libs are, so I guess the packager felt that HDF4 was old and unused so they didn't enable it.

Offline

#7 2021-08-17 18:31:54

progandy
Member
Registered: 2012-05-17
Posts: 4,638

Re: netcdf package is without HDF4 support

mixtlino wrote:

Yes, it's a just a compiler flag to enable it and to point where the additional libs are, so I guess the packager felt that HDF4 was old and unused so they didn't enable it.

That is not everything, it also means an additional package to compile and maintain (hdf4)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

Board footer

Powered by FluxBB